function filtrarl(nMod,vCampo,cValor,cCondicion,cmodalidad,filtro){
	url="modulo="+nMod;
	url+="&tipo="+"l";
	url+="&accion="+"i";
	url+="&condicion="+cCondicion;
	url+="&codemp="+VGempresa;
	vGid=vCampo;
	vGmod=cmodalidad
	vGfiltro=filtro
	vTmod=nMod
	vGval=cValor;
	console.log(vGval);
	console.log(url);
	var Rpage =VGRutaRiz+"controllers/registros/";
	console.log(Rpage);
	//Poner opcion quesi valirable es x variable, la informacion se llene en una tabla y llame a una fuancion que debe crear la tabla con sus objetos, ademas a
	//debe haber algo que me indique en que tabla se debe guardar esa informacion.
	if (cmodalidad=="t"){
		doAjax(Rpage,url,'resp_filtrar_tabl','gets','0','Ccargar');
	}else{
		doAjax(Rpage,url,'resp_filtrar_listl','gets','0','Ccargar');
	}
}

function resp_filtrar_listl(ResTex) {
	console.log(ResTex);
	//console.log(vGval);
	//console.log(vGval);
	//console.log(jGfunciones)
	Detalle="<option value='' >Seleccione</option>";
	voption="";
	//if(vGid='c0'){
	
	//Detbuscador='<input class="" data-table="order-table" type="text" placeholder="Buscar">'
	//Detbuscador+='<hr>'
    //Detbuscador+='<table class="table table-bordered order-table ">'
	//Detbuscador+='<thead><tr><th>Company</th><th>Contact</th><th>Country</th></tr></thead>'
	//}
	var oJsonDatos = JSON.parse(ResTex);
	z=0;
	if(oJsonDatos.Datos!="ERROR"){
	    if(ResTex.length>1){
			
			cCombo=document.getElementById(vGid);
			JsonActividad=ResTex;
			var oJsonDatos = JSON.parse(JsonActividad);
	        var NJsonItem=oJsonDatos.Datos.length;
			RowArray=0;//esto lo adicione nuevo
			cCombo.options[RowArray] = new Option("Seleccione","")
			for (RowArray=0;RowArray<NJsonItem; RowArray++){
				cad=oJsonDatos.Datos[RowArray];	
				
			//if(vGid='c0'){	
          	//Detbuscador+='<tr><td>'+oJsonDatos.Datos[RowArray].codigo+'</td><td>'+oJsonDatos.Datos[RowArray].nombre+'</td><td>'+oJsonDatos.Datos[RowArray].nombre+'</td></tr>'
			//}
				j=RowArray+1;
				if(vGval==oJsonDatos.Datos[RowArray].codigo && vGval!=""){
					z=1;
					Detalle+='<option value="'+oJsonDatos.Datos[RowArray].codigo+'" selected>'+oJsonDatos.Datos[RowArray].nombre+'</option>'
				}else{
					Detalle+='<option value="'+oJsonDatos.Datos[RowArray].codigo+'">'+oJsonDatos.Datos[RowArray].nombre+'</option>'
				}
			}
			//vRep="±"
			//Detalle=Detalle.replace(new RegExp(vRep,"g") ,"+");
			Detalle=rpt_textos(Detalle);
			cCombo.innerHTML=Detalle;
		}else{
			alert("no hay registros");
    	}
	}
	
	if(z==1 && vGval!="" && (VGrol=='docente' || VGrol=='estudiante') ){
		cCombo.disabled = true;
	}
	//console.log(Detalle);
	vGnum++;
	if(vGnum==jGfunciones.Datos.length){
		if(localStorage.getItem('accion')=='e' ){
			setTimeout(imodulo(localStorage.getItem('modulo'),localStorage.getItem('tcampo'),localStorage.getItem('tid'),localStorage.getItem('accion')), 1000);
			
		}
	}
	//console.log(jGfunciones.Datos.length)
	if (jGfunciones.Datos.length>1){
		if(vGnum<jGfunciones.Datos.length){
			console.log(vGnum)
			//console.log(jGfunciones.Datos[vGnum].modulo+jGfunciones.Datos[vGnum].objeto,jGfunciones.Datos[vGnum].valor,jGfunciones.Datos[vGnum].condicion,jGfunciones.Datos[vGnum].modalidad,jGfunciones.Datos[vGnum].lost)
			filtrar(jGfunciones.Datos[vGnum].modulo,jGfunciones.Datos[vGnum].objeto,jGfunciones.Datos[vGnum].valor,jGfunciones.Datos[vGnum].condicion,jGfunciones.Datos[vGnum].modalidad,jGfunciones.Datos[vGnum].lost);
		}
	}
	//if(vGid='c0'){
	//Detbuscador+='</table>'
	//console.log(Detbuscador)
	//document.getElementById('buscador'+vGid).innerHTML=Detbuscador;
	//document.getElementById('reporte').innerHTML=Detbuscador;
	//document.getElementById('reporte').style.display='block'
	//document.getElementById('reporte').style.width='400px';
	//document.getElementById('reporte').style.height='300px';
	//document.getElementById('reporte').style.overflow='scroll'

	//}
}

function resp_filtrar_tabl(ResTex) {
	console.log(ResTex);
	console.log(vGval);
	console.log(vGfiltro);
	Detalle="<th>...</th>";
	voption="";

	var oJsonDatos = JSON.parse(ResTex);
	z=0;
	if(oJsonDatos.Datos!="ERROR"){
	    if(ResTex.length>1){
			cTabla=document.getElementById(vGid);
			JsonActividad=ResTex;
			var oJsonDatos = JSON.parse(JsonActividad);
	        var NJsonItem=oJsonDatos.Datos.length;
			RowArray=0;//esto lo adicione nuevo
			//cCombo.options[RowArray] = new Option("Seleccione","")
			
			for (RowArray=0;RowArray<NJsonItem; RowArray++){
				cad=oJsonDatos.Datos[RowArray];	
				j=RowArray+1;
				Detalle+="<tr>"
				Detalle+='<td >'
				lost=vGfiltro.replace('this.id',"'"+oJsonDatos.Datos[RowArray].codigo+"'")
				Detalle+='<a href="javascript:'+lost+'" id="'+oJsonDatos.Datos[RowArray].codigo+'">'
				Detalle+='<img src="clientes/'+VGempresa+'/'+vTmod+'/'+oJsonDatos.Datos[RowArray].codigo+'.jpj">'+oJsonDatos.Datos[RowArray].nombre+'</a></td>'
				Detalle+="<tr>"
			}
			
			
			cTabla.innerHTML=Detalle;
		}else{
			alert("no hay registros");
    	}
	}
	
	console.log(Detalle);
	vGnum++;
	console.log(jGfunciones.Datos.length)
	if (jGfunciones.Datos.length>1){
		if(vGnum<jGfunciones.Datos.length){
			console.log(jGfunciones.Datos[vGnum].modulo+jGfunciones.Datos[vGnum].objeto,jGfunciones.Datos[vGnum].valor,jGfunciones.Datos[vGnum].condicion,jGfunciones.Datos[vGnum].modalidad,jGfunciones.Datos[vGnum].modalidad,lost)
			filtrarl(jGfunciones.Datos[vGnum].modulo,jGfunciones.Datos[vGnum].objeto,jGfunciones.Datos[vGnum].valor,jGfunciones.Datos[vGnum].condicion,jGfunciones.Datos[vGnum].modalidad,jGfunciones.Datos[vGnum].modalidad,lost);
		}
	}

}

function filtrar_modulo(mod){
	swcond=0
	url="modulo="+mod
	url+="&codemp="+VGempresa;
	var jSondet=document.getElementsByClassName(mod);
	console.log(jSondet)
	nTam=jSondet.length;
	condicion=""
	for(var i=0;i<nTam;i++){
		nCampo=jSondet[i].name
		cId=jSondet[i].id
		vCampo=jSondet[i].value
		vchk=nCampo.search('chk')
		if(vchk>=0){
			nB=document.getElementById(cId).checked
			if(nB==true){
				vCampo=1
			}else{
				vCampo=0
			}
			condicion+=" and "+mod+"."+nCampo+"='"+vCampo+"' "
		}else {
			if(vCampo.length>0 ){
				condicion+=" and "+mod+"."+nCampo+"='"+vCampo+"' "
			}
		}
	}
	url+="&tipo="+"l";
	url+="&condicion="+condicion;
	url+="&usuario="+localStorage.getItem("Usuario");
	url+="&rol="+VGrol;
	console.log(url)
	var Rpage =VGRutaRiz+"controllers/registros/"
	doAjax(Rpage,url,'resp_filtrar_modulo','post','0','Ccargar');	
}

function reporte_modulo(mod){
	swcond=0
	url="modulo="+mod
	url+="&codemp="+VGempresa;
	var jSondet=document.getElementsByClassName(mod);
	console.log(jSondet)
	nTam=jSondet.length;
	condicion=""
	for(var i=0;i<nTam;i++){
		nCampo=jSondet[i].name
		cId=jSondet[i].id
		vCampo=jSondet[i].value
		vchk=nCampo.search('chk')
		if(vchk>=0){
			nB=document.getElementById(cId).checked
			if(nB==true){
				vCampo=1
			}else{
				vCampo=0
			}
			condicion+=" and "+mod+"."+nCampo+"='"+vCampo+"' "
		}else {
			if(vCampo.length>0 ){
				condicion+=" and "+mod+"."+nCampo+"='"+vCampo+"' "
			}
		}
	}
	url+="&tipo="+"l";
	url+="&condicion="+condicion;
	cRuta=VGRutaRiz+"report/"+sessionStorage.getItem('modulo')+".php?condicion="+condicion+"&empresa="+VGempresa
	url+="&usuario="+localStorage.getItem("Usuario");
	url+="&rol="+VGrol;
	console.log(url)
	window.open(cRuta, '_blank');
}

function resp_filtrar_modulo(ResTex) {
	console.log(ResTex);
	vC="";
	var oJsonDatos = JSON.parse(ResTex);
	DetalleUl="";
	Detalle="";
	if(oJsonDatos.Datos!="ERROR"){
	    if(ResTex.length>1){
			Detalle="<div class='prueba'><div class='table-title' ><a href='#'>"+"Listado de "+tList+"</a><div class='ctn_icon_search' ><a href='javascript:view_search_list();' ><i class='icon-magnifying-glass' id='icon_search_list' ></i></a></div></div><div id='ctn_barra_search' disabled><input type='text' id='tsearch_list'  onKeyUp='search_list()' placeholder='¿Qué deseas buscar?'></div><ul id='box_search'></ul><a href='javascript:hide_search_list();'><div id='cover_ctn_search' ></div> </a><div class='conte_table' >"

			Detalle+="<table id='customers'>";
			Detalle+="<tr>";
			cad=oJsonDatos.Datos[0];
			console.log(Object.keys(cad));
			//Detalle+="<th>Opciones</th>";
			Object.keys(cad).forEach((valor)=>{
				Detalle+="<th>"+valor+"</th>"
				
			})
			Detalle+="</tr>";
			JsonActividad=ResTex;
			var oJsonDatos = JSON.parse(JsonActividad);
	        var NJsonItem=oJsonDatos.Datos.length;
			var cNrov="";
			nT=0
			for (RowArray=0;RowArray<NJsonItem; RowArray++){
				cad=oJsonDatos.Datos[RowArray];	
				//console.log(Detalle)
				Detalle+="<tr>";
				tCampo=0;
				cCod=oJsonDatos.Datos[RowArray].Id;
				cId=cCod
				sWrt=0
				vEditar=""
				for(d in cad){
					nT=nT+1
					tId="t"+nT
					nCp=d
					console.log(d)
					//console.log(d.search('archivo'))
					chkArchivo=d.search('archivo')
					if(nCp.substring(0,3)!="Wrt"){
						nPos=nCp.search('_')
						nCampo=nCp.substring(nPos+1,nCp.length)
					}else{
						sWrt=1
						nPos=nCp.search('_')
						nCampo=nCp.substring(nPos+1,nCp.length)
						vEditar=vEditar+nCampo
						
						
					}
					if(chkArchivo>=0){
						if(cad[d].substring(0,4)==="http" || cad[d].substring(0,3)==="www"){
							Detalle+="<td><a href='"+cad[d]+"' target='_blank'>"+cad[d]+"</a></td>";
						}else{
							idImg="inputlogo"+tId
							idImg=idImg.trim()
							cVisor="visorarchivo"+tId
							Detalle+='<td><form id="upload_form" enctype="multipart/form-data" class="form_adj" method="post">'
							Detalle+='<div id="'+cVisor+'" class="dfoto" >'
							if(cad[d].length>1){
								rutaw="https://www.miayudaapp.com/views/mdi"
								Detalle+='<img src="'+rutaw+'/archivos/'+VGempresa.toLowerCase()+'/'+sessionStorage.getItem("modulo")+'/'+cad[d]+'"  alt="" >'
							}
							Detalle+='</div>'
							Detalle+='<input type="file" id="'+idImg+'" name="inputlogo"  class="archivo"   onchange="return validarExt(\''+idImg+'\',\''+tId+'\')">'
							Detalle+="<input type='text' id='"+tId+"' name='"+nCampo+"' value='"+cad[d]+"' class='"+cId+"' required>"
							Detalle+="<p> Extensiones permitidas: .png|.jpg</p>"
							Detalle+='<input type="button" value="Upload File" onclick="uploadFile(\''+idImg+'\')">'
							Detalle+="<progress id='progressBar' value='0' max='100' style='width:300px;'></progress><h3 id='status'></h3><p id='loaded_n_total'></p>"
							Detalle+="<label for='"+idImg+"'><span>📁 Adjuntar Archivo</span></label></form></td>"
						}
					}else{
						if(nCp.substring(0,3)!="Wrt"){
							Detalle+="<td>"+cad[d]+"</td>";
						}else{
							
							nCp=nCp.substring(1,(nCp.length));
							nPos=nCp.search('_')
							if(vEditar.search(nCampo)>=0){
								//Aqui es para poner tipo spam los campos que no se puedan editar
							}
							if(nCp.substr(0,3)=='img'){
								//Detalle+='<td><a><img src="clientes/'+VGempresa+'/'+'producto'+'/'+oJsonDatos.Datos[RowArray].codigo+'.jpg">'+oJsonDatos.Datos[RowArray].nombre+'</a></td>'
							}else if(nCp.substr(-3)=='pvp'){
								Detalle+="<td><input type='number' name='"+nCampo+"'value='"+cad[d]+"' class='"+cId+"'></td>";
							}else if(nCp=='Nombre' || nCp=='Id' || nCp=='Descripcion' || nCp.search('nombre')>=0  || nCp.search('Id')>=0  || nCp.search('Descripcion')>=0 ){
								Detalle+="<td><span>"+cad[d]+"</span></td>"
							}else if(nCp.search('Fecha')>=0){//campos feha editable
								Detalle+="<td><input type='date' name='"+nCampo+"' value='"+cad[d]+"' class='"+cId+"' ></td>";
							}else if((cad[d]!="" && (cad[d].substr(0,1)<"0" || cad[d].substr(0,1)>"9")) || (nCp=='nriper' ||  d.substr(-(d.length-(nPos+1)))=='codigo') ){
								Detalle+="<td><input type='text' name='"+nCampo+"' value='"+cad[d]+"' class='"+cId+"' disabled></td>";
							}else if(cad[d]=="" || nCp.substr(0,3)=='obs'){
								Detalle+="<td><textarea name='"+nCampo+"'value='"+cad[d]+"' class='"+cId+"'></textarea></td>";
							}else{
								if(cad[d].substring(0,1)>="0" || cad[d].substring(0,1)<="9"){
									if(vchk>=0){
										Detalle+="<td><input type='checkbox' name='"+nCp+"' class='"+cId+"'></td>";
									}else{
										Detalle+="<td><input type='number' name='"+nCp+"'value='"+cad[d]+"' class='"+cId+"'></td>";
									}
		
								}else{

								}

							}
						}
					}
					
					
					if(d=='nombre'){
						/*DetalleUl+="<li><div class='d_search'><a href='#'><i class='icon-magnifying-glass'></i>"+cad[d]+'</a><a href="javascript:nmodulo(\''+ tList+ '\',\'nnn\',\'' + cad['Id'] + '\',\'e\');"><span class="icon-edit"></span></a>';
						DetalleUl+='</a><a href="javascript:imodulo(\''+ tList+ '\',\'' + cad['Id'] + '\',\'d\');" class="a_search"><span class="icon-erase"></span></a>';
						DetalleUl+='</a><a href="javascript:imodulo(\''+ tList+ '\',\'nnn\',\'' + cad['Id'] + '\',\'v\');"><span class="icon-eye"></span></a>';
						DetalleUl+="</div></li>";*/
					}
					tCampo++;
				}
				console.log(sWrt)
				DetalleUl=DetalleUl.replace("nnn",tCampo);
				if(sWrt>0){
					Detalle+='<td><div><a href="javascript:editseccion(\''+sessionStorage.getItem("modulo")+ '\',\'' + cId + '\',\'e\',\'' +vEditar+ '\');"><div class="circulo_sup"><span class="icon-save" ></span></div></a></div></td>'
				}
				Detalle+="</tr>";
			}
			Detalle+="</table>";
		}else{
			alert("sino");
	    	}
	  	
		Detalle+="</div>";
		DetalleUl+="</ul>";  
	}
	//console.log(Detalle)
	Detalle=rpt_textos(Detalle);
	if(Detalle==""){Detalle="<div> <p style='margin-left:5px'>Sin registros!</p></div>"}
	document.getElementById("reporte").innerHTML=Detalle;
	document.getElementById("reporte").style.display="block";
	document.getElementById("reporte").style.height="auto";
	document.getElementById("reporte").style.maxHeight="60%";
	document.getElementById("reporte").style.width="100%";

}